"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic2' }"

LibraryDefinition subclass:#stx_libbasic2
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libbasic2 class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build- and package information for creation of the st/x standard library: stx_libbasic2
    This library contains additional basic (nonGUI) classes.
"
! !

!stx_libbasic2 class methodsFor:'description'!

excludedFromPreRequisites
    ^ #(
        #'exept:libcrypt'    "Rc4Cipher - referenced by RandomGenerator class>>new "
        #'stx:goodies/communication'    "FTPClient - referenced by FtpURI>>writeStreamDo:create:atomic: "
        #'stx:libtool'    "FileBrowser - referenced by Archiver::ArchiverOutputParser>>parseLine:forItemClass: "
        #'stx:libview2'    "MIMETypes - referenced by Archiver::ArchiverOutputParser>>parseLine:forItemClass: "
        #'stx:libwidg'    "DialogBox - referenced by Archiver::CompressedFile>>compressFile:to: "
        #'stx:libhtml'    "HTMLParser - referenced by HTMLUtilities class>>plainTextOfHTML: "
    )
!

mandatoryPreRequisites
    "list all required mandatory packages.
     Packages are mandatory, if they contain superclasses of the package's classes
     or classes which are extended by this package.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies
     (the browser has a menu function for that)
     However, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPreRequisites method."

    ^ #(
        #'stx:libbasic'    "AbstractNumberVector - superclass of IntegerArray "
    )
!

referencedPreRequisites
    "list all packages containing classes referenced by the packages's members.
     This list can be maintained manually or (better) generated and
     updated by looking for global variable accesses
     (the browser has a menu function for that)
     However, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPreRequisites method."

    ^ #(
    )
!

subProjects
    "list packages which are known as subprojects.
     The generated makefile will enter those and make there as well.
     However: they are not forced to be loaded when a package is loaded;
     for those, redefine requiredPrerequisites"

    ^ #(
    )
! !

!stx_libbasic2 class methodsFor:'description - compilation'!

additionalBaseAddressDefinition_bc_dot_mak
    "this is an optional definition, which (if present) may speed up the dll-loading a little
     on win32 systems."

    ^ '
# see stdHeader_bc for LIBBASIC2_BASE
LIB_BASE=$(LIBBASIC2_BASE)
'
!

additionalLinkLibraries_bc_dot_mak
"/    ^ '$(ZLIB) $(BZ2LIB)'
    ^ '$(ZLIB_DIR)\$(ZLIB)'
!

additionalLinkLibraries_make_dot_proto
    ^ '$(ZLIB_LD_ARG) $(BZ2LIB_LD_ARG)'
!

additionalRules_bc_dot_mak
    ^ '
$(ZLIB):
	cd $(ZLIB_DIR)
	$(MAKE) $(MAKE_ZLIB_ARG) $(ZLIB)
	cd ..\..\libbasic2

$(BZ2LIB):
	cd $(BZ2LIB_DIR)
	$(MAKE) $(MAKE_BZ2LIB_ARG) bz2.lib
	cd ..\..\libbasic2
'
!

additionalRules_make_dot_proto
    ^ '
zlib:
	cd $(ZLIB_DIR); $(MAKE) $(MAKE_ZLIB_ARG)

bz2lib:
	cd $(BZ2LIB_DIR); $(MAKE) $(MAKE_BZ2LIB_ARG) libbz2.a
'
!

additionalTargets_bc_dot_mak
"/    ^ '$(BZ2LIB) $(ZLIB)'      bz2lib doesn't work for now
    ^ '$(ZLIB)'
!

additionalTargets_make_dot_proto
    ^ 'bz2lib zlib'

    "Created: / 05-09-2006 / 16:05:12 / cg"
!

localIncludes
    ^ '-I$(ZLIB_DIR)'

    "Created: / 06-09-2006 / 18:18:15 / cg"
!

stcOptimizationOptions
    ^ '+optinline +optinline2 +inlinenew'

    "Modified: / 21-02-2011 / 14:13:24 / cg"
! !

!stx_libbasic2 class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        ActorStream
        (AppletalkSocketAddress autoload)
        Archiver
        (BIG5EncodedString autoload)
        BTree
        (BZip2Stream unix autoload)
        BackgroundJob
        BaseNCoder
        Bezier
        BinaryTree
        BinaryTreeNode
        BitArray
        CRC32Stream
        CacheDictionary
        CharacterSet
        Circle
        CollectingReadStream
        (CollectingSharedQueueStream autoload)
        CompressionStream
        (CompressionStreamTest autoload)
        (Cons autoload)
        (ConsStream autoload)
        Curve
        (DecNetSocketAddress autoload)
        DirectoryContents
        EllipticalArc
        (EpsonFX1PrinterStream autoload)
        ExternalLong
        FileSorter
        (FileText autoload)
        FilteringStream
        FourByteString
        Future
        (GBEncodedString autoload)
        (HPLjetIIPrinterStream autoload)
        HTMLUtilities
        (HandlerCollection autoload)
        Heap
        IncrementNotification
        InterestConverterWithParameters
        (InternalPipeStream autoload)
        Iterator
        JISEncodedString
        (KSCEncodedString autoload)
        (KeywordInContextIndexBuilder autoload)
        Lazy
        LazyArray
        (LazyCons autoload)
        (LazyValue autoload)
        LineSegment
        List
        MappedCollection
        (MessageChannel autoload)
        Monitor
        MultiReadStream
        NameLookupError
        (NumberSet autoload)
        OperationQueue
        PhoneticStringUtilities
        Polygon
        (PowerSet autoload)
        PrinterStream
        PrintfScanf
        Promise
        Queue
        Random
        RandomGenerator
        (RandomParkMiller autoload)
        RandomTT800
        ReindexedCollection
        RunArray
        SelectingReadStream
        SequenceWithSentinel
        (SequenceableCollectionSorter autoload)
        SerialPort
        SharedCollection
        Singleton
        Socket
        SocketAddress
        SocketAddressInfo
        SoundStream
        Spline
        (SplittingWriteStream autoload)
        Stack
        StringUtilities
        TSTree
        Text
        TextStream
        TimeDuration
        TreeSet
        URI
        UUID
        UnboxedIntegerArray
        UndoSupport
        UnitConverter
        (UnixPTYStream autoload)
        (ValueLink autoload)
        (WinAPIFunction autoload)
        ZipArchiveConstants
        #'stx_libbasic2'
        AATree
        AATreeNode
        Arrow
        ArrowedSpline
        BackgroundQueueProcessingJob
        Base32Coder
        Base64Coder
        Bezier2Segment
        BooleanArray
        CacheDictionaryWithFactory
        FilteringLineStream
        HierarchicalURI
        HostAddressLookupError
        HostNameLookupError
        IPSocketAddress
        IntegerArray
        LineNumberReadStream
        LongIntegerArray
        PostscriptPrinterStream
        SharedQueue
        SignedIntegerArray
        SignedLongIntegerArray
        SignedWordArray
        TimedPromise
        UDSocketAddress
        Unicode32String
        WordArray
        ZipArchive
        ZipStream
        FileURI
        FtpURI
        HttpURI
        IPv6SocketAddress
        SftpURI
        StringPattern
        BackgroundPeriodicalJob
        (AVLTree autoload)
        VirtualArray
        (Trie autoload)
        (SortedSet autoload)
        (BoltLock autoload)
        CachedValue
        SmallBag
        (ActiveObject autoload)
        SegmentedOrderedCollection
        (LoggingStream autoload)
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
        CharacterArray asKoelnerPhoneticCode
        CharacterArray asSoundexCode
        CharacterArray printf:
        CharacterArray printf:on:
        CharacterArray printfWith:
        CharacterArray printfWith:with:
        CharacterArray printfWith:with:with:
        CharacterArray printfWith:with:with:with:
        CharacterArray #'printf_formatArgCount'
        CharacterArray #'printf_printArgFrom:to:withData:'
        CharacterArray #'printf_printOn:withData:'
        CharacterArray scanf:
        CharacterArray #'scanf_scanArgFrom:to:format:'
        CharacterArray sscanf:
        Float absDecimalPrintOn:digits:
        Float absPrintOn:digits:
        Float absScientificPrintOn:digits:
        Object addInterest:
        Object expressInterestIn:for:sendBack:
        Object interests
        Object interestsFor:
        Object onChangeEvaluate:
        Object onChangeSend:to:
        Object removeInterest:
        Object retractInterestIn:for:
        Object retractInterests
        Object retractInterestsFor:
        Object retractInterestsForWhich:
        Object retractInterestsIn:
        Object when:send:to:
        Stream collecting:
        Stream selecting:
        Object removeActionsForEvent:
        Object removeActionsWithReceiver:
        Object removeAllActionsWithReceiver:
        Object trigger:
        Object trigger:with:
        Object triggerEvent:
        Object triggerEvent:with:
        Object triggerEvent:withArguments:
        Object when:send:to:with:
        Object when:sendTo:
    )
! !

!stx_libbasic2 class methodsFor:'description - project information'!

applicationIconFileName
    "Return the name (without suffix) of an icon-file (the app's icon); will be included in the rc-resource file"

    ^ nil
    "/ ^ self applicationName
!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Additional Basic Classes'

    "Modified: / 14-09-2006 / 10:57:15 / cg"
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2012\nCopyright eXept Software AG 1998-2012'

    "Modified: / 18-07-2012 / 19:11:22 / cg"
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libbasic2 class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic2/stx_libbasic2.st,v 1.95 2013-04-25 07:38:02 stefan Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libbasic2/stx_libbasic2.st,v 1.95 2013-04-25 07:38:02 stefan Exp $'
! !

